Ubuntu and Debian Installation Guide

Ubuntu and Debian Installation Guide

Please see this Knowledge Base article for tips in installing the Intel Compilers for Ubuntu and Debian:

http://software.intel.com/en-us/articles/using-intel-compilers-for-linux-with-ubuntu

3 Beiträge / 0 neu
Letzter Beitrag
Nähere Informationen zur Compiler-Optimierung finden Sie in unserem Optimierungshinweis.

Quoting - Ronald W. Green (Intel)

Please see this Knowledge Base article for tips in installing the Intel Compilers for Ubuntu and Debian:

http://software.intel.com/en-us/articles/using-intel-compilers-for-linux-with-ubuntu

Hi,

Please write articles on how to make C Compiler 11.1.* Install properly on Fedora x86_64.
Missing Critical Pre-requisites: 32-bit compatibility libraries not found - libstdc++.so.5, libgcc, etc.
This issue is causing a nightmare.
Please let us know where to get these libraries from, rather the full name of the packages so that they are easily gettable. I am not having a direct internet connection to Fedora, need to do an offline installation of packages after downloading them. Thus, 'yum install ----' is of no use.

Quoting - arindam.nsit
Missing Critical Pre-requisites: 32-bit compatibility libraries not found - libstdc++.so.5, libgcc, etc.
This issue is causing a nightmare.

I agree. This installer is a case-study in overdesign and consequent band-aid workarounds.

Under Debian, I'm finding that these prerequisites are deemed fatally missing unless the Debian release version is known to the installer. (This happens even though the 32-bit libraries are actually all present).

If the installer gets an OS version match, it seems to switch into the more permissive warning mode.

Grepping through the installer binary, "5.0" is the latest debian release number it knows about.

DEBIAN_50
OS_DEBIAN_50
Debian 5.0
/etc/debian_version
/etc/issue
5.0
Debian GUN/Linux 5.0
IA32;IA64;INTEL64
0
1

The key therefore is to change /etc/debian_version away from whatever it is ("squeeze/sid" in my case) to "5.0", and perhaps also to change the version number in /etc/issue to make it "Debian GUN/Linux 5.0".

The latter typo is so pathetically incompetent that I assume it can't possibly really be matched exactly - it seemed that changing /etc/debian_version alone might be enough.

Kommentar hinterlassen

Bitte anmelden, um einen Kommentar hinzuzufügen. Sie sind noch nicht Mitglied? Jetzt teilnehmen